Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.datasource.xa.jmx
Class JmxTransactionalResource

    java.lang.Object
      com.atomikos.datasource.xa.jmx.JmxTransactionalResource

All Implemented Interfaces:
  JmxTransactionalResourceMBean, MBeanRegistration

    public class JmxTransactionalResource

extends Object
implements JmxTransactionalResourceMBean, MBeanRegistration

JMX management bean for resources.

Constructor Summary
`JmxTransactionalResource(XATransactionalResource resource, XAResourceConfig config, String localName)`

Method Summary
`boolean` | `getAcceptAllXAResources()` Test if all XAResources should be accepted.
`boolean` | `getUseWeakCompare()` Get the weak comparison mode.
`void` | `postDeregister()`
`void` | `postRegister(Boolean arg0)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer arg0, ObjectName name)`
`void` | `setAcceptAllXAResources(boolean val)` Instruct this resource to accept all XAResource instances.This will practically disable shared branches! The instance uses this feature to determine the exact XID to be supplied during enlistment.
`void` | `setUseWeakCompare(boolean value)` Set the weak comparison mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxTransactionalResource

    public JmxTransactionalResource(XATransactionalResource resource,
                                    XAResourceConfig config,
                                    String localName)

Method Detail

### getUseWeakCompare

    public boolean getUseWeakCompare()

  Description copied from interface: `JmxTransactionalResourceMBean`
  Get the weak comparison mode.

  Specified by:
    `getUseWeakCompare` in interface `JmxTransactionalResourceMBean`
  Returns:
    boolean True iff weak comparison.

### setUseWeakCompare

    public void setUseWeakCompare(boolean value)

  Description copied from interface: `JmxTransactionalResourceMBean`
  Set the weak comparison mode.

  Specified by:
    `setUseWeakCompare` in interface `JmxTransactionalResourceMBean`
  Parameters:
    `value` - The mode.

### preRegister

    public ObjectName preRegister(MBeanServer arg0,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean arg0)

  Specified by:
    `postRegister` in interface `MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`

### getAcceptAllXAResources

    public boolean getAcceptAllXAResources()

  Description copied from interface: `JmxTransactionalResourceMBean`
  Test if all XAResources should be accepted.

  Specified by:
    `getAcceptAllXAResources` in interface `JmxTransactionalResourceMBean`
  Returns:
    boolean True iff all xaresources are accepted.
  See Also:
    `com.atomikos.datasource.xa.jmx.JmxTransactionalResourceMBean#getAcceptsAllXAResources()`

### setAcceptAllXAResources

    public void setAcceptAllXAResources(boolean val)

  Description copied from interface: `JmxTransactionalResourceMBean`
  Instruct this resource to accept all XAResource instances.This will practically disable shared branches! The instance uses this feature to determine the exact XID to be supplied during enlistment.

  Specified by:
    `setAcceptAllXAResources` in interface `JmxTransactionalResourceMBean`
  See Also:
    `com.atomikos.datasource.xa.jmx.JmxTransactionalResourceMBean#setAcceptsAllXAResources(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.